pydo.domains.list_records()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.domains.list_records(
domain_name="example.com",
name=None,
type=None,
per_page=20,
page=1,
)Description
To get a listing of all records configured for a domain, send a GET request to /v2/domains/{domain_name}/records.
The list of records returned can be filtered by using the name and type query parameters. For example, to only include A records for a domain, send a GET request to /v2/domains/$DOMAIN_NAME/records?type=A. name must be a fully qualified record name. For example, to only include records matching sub.example.com, send a GET request to /v2/domains/$DOMAIN_NAME/records?name=sub.example.com. Both name and type may be used together.
Parameters
domain_namestring requiredThe name of the domain itself.
namestring optionalA fully qualified record name. For example, to only include records matching sub.example.com, send a GET request to
/v2/domains/$DOMAIN_NAME/records?name=sub.example.com.typestring optionalThe type of the DNS record. For example: A, CNAME, TXT, ...
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.domains.list_records(domain_name="example.com", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.domains.list_records(domain_name="example.com", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/domains/{domain_name}/records in the API reference for additional detail on responses, headers, parameters, and more.